CVE-2016-10151

NameCVE-2016-10151
DescriptionThe hesiod_init function in lib/hesiod.c in Hesiod 3.2.1 compares EUID with UID to determine whether to use configurations from environment variables, which allows local users to gain privileges via the (1) HESIOD_CONFIG or (2) HES_DOMAIN environment variable and leveraging certain SUID/SGUID binary.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SuSE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-796-1
NVD severitymedium (attack range: local)
Debian Bugs852094

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
hesiod (PTS)wheezy3.0.2-21vulnerable
wheezy (security)3.0.2-21+deb7u1fixed
buster, sid, jessie, stretch3.2.1-3vulnerable

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
hesiodsource(unstable)(unfixed)low852094
hesiodsourcewheezy3.0.2-21+deb7u1mediumDLA-796-1

Notes

[stretch] - hesiod <no-dsa> (Minor issue)
[jessie] - hesiod <no-dsa> (Minor issue)
https://github.com/achernya/hesiod/pull/9
https://bugzilla.redhat.com/show_bug.cgi?id=1332508

Search for package or bug name: Reporting problems